# $Revision: 1.2.2.5 $, $Date: 2003/08/10 07:02:15 $
%include        /usr/lib/rpm/macros.python
Summary:	QScintilla is a port to Qt of Neil Hodgson's Scintilla C++ editor class
Summary(pl):	QScintilla jest portem do Qt klas C++ edytora Scintilla autorstwa Neila Hodgsona
Name:		qscintilla	
Version:	1.53
%define sub_ver 1.1
Release:	2
License:	GPL
Group:		X11/Libraries
Source0:	http://www.river-bank.demon.co.uk/download/QScintilla/%{name}-%{version}-x11-gpl-%{sub_ver}.tar.gz
# Source0-md5:	1ad51e9e77a6b5213e7119b5ded56cf4
#               http://www.river-bank.demon.co.uk/download/QScintilla/qscintilla-1.53-x11-gpl-1.1.tar.gz
URL:		http://www.riverbankcomputing.co.uk/qscintilla/index.php
BuildRequires:	qt-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-x11-gpl-%{sub_ver}-root-%(id -u -n)

%define _prefix         /usr/X11R6

%description
QScintilla is a port to Qt of Neil Hodgson's Scintilla C++ editor class.

%description -l pl
QScintilla jest portem do Qt klas C++ edytora Scintilla autorstwa
Neila Hodgsona.

%package devel
Summary:	Development files for the QScintilla
Summary(pl):	Pliki nagwkowe dla QScintilla
Group:          X11/Development/Libraries

%description devel
This package contains the header files necessary to develop
applications using QScintilla - header files.

%description devel -l pl
Pakiet tem zawiera pliki nagwkowe potrzebne do tworzenia i
kompilacji aplikacji korzystajcych z biblioteki QScintilla.

%prep
%setup -q -n %{name}-%{version}-x11-gpl-%{sub_ver}

%build
QTDIR=%{_prefix}
export QTDIR
cd qt
qmake -o Makefile -after DESTDIR=tmp/ qscintilla.pro
#TODO: Potrzebna latka usuwajaca/przenoszaca z Makefile -  all: to co powinno znalezc sie w install:
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/qt \
        $RPM_BUILD_ROOT%{_examplesdir}/qt/%{name} \
        $RPM_BUILD_ROOT%{_libdir}/qt

install qt/tmp/libqscintilla.so* $RPM_BUILD_ROOT%{_libdir}
install qt/qextscintilla*.h $RPM_BUILD_ROOT%{_includedir}/qt
install qt/qscintilla*.qm $RPM_BUILD_ROOT%{_examplesdir}/qt/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README doc/*
%attr(755,root,root) %{_libdir}/libqscintilla.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/qt/*.h
%{_examplesdir}/qt/%{name}


%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qscintilla.spec,v $
Revision 1.2.2.5  2003/08/10 07:02:15  matkor
- libqscintilla in  %{_libdir}.

Revision 1.2.2.4  2003/08/09 11:51:58  matkor
- NFY. %{_libdir}/qt is not in /etc/ld.so.conf.

Revision 1.2.2.3  2003/08/08 09:41:50  matkor
- Release 1. STBR for Ra.

Revision 1.2.2.2  2003/06/25 12:54:19  matkor
- Version 1.53. Release 0.1.

Revision 1.2.2.1  2003/04/14 22:42:03  matkor
- _prefix /usr/X11R6

Revision 1.2  2003/02/26 12:47:41  qboosh
- some cleanups, pl fixes, fixed Source0 URL, added missing Log

Revision 1.1  2003/02/25 22:42:50  misiek
- initial pld release (spec by Maciej winiarski (luzik) <luzik@ds.pg.gda.pl>)
